<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    app:startDestination="@id/introFragment">

    <fragment
        android:id="@+id/introFragment"
        android:name="com.example.feature_health.view.IntroFragment"
        android:label="fragment_intro"
        tools:layout="@layout/fragment_intro" >
        <action
            android:id="@+id/action_introFragment_to_initialFormFragment"
            app:destination="@id/initialFormFragment" />
    </fragment>
    <fragment
        android:id="@+id/initialFormFragment"
        android:name="com.example.feature_health.view.InitialFormFragment"
        android:label="fragment_initial_form"
        tools:layout="@layout/fragment_initial_form" >
        <action
            android:id="@+id/action_initialFormFragment_to_healthyPlanFragment"
            app:destination="@id/healthyPlanFragment" />
    </fragment>
    <fragment
        android:id="@+id/healthyPlanFragment"
        android:name="com.example.feature_health.view.HealthyPlanFragment"
        android:label="fragment_healthy_plan"
        tools:layout="@layout/fragment_healthy_plan" >
        <action
            android:id="@+id/action_healthyPlanFragment_to_finalFragment"
            app:destination="@id/finalFragment">
        </action>
    </fragment>
    <fragment
        android:id="@+id/finalFragment"
        android:name="com.example.feature_health.view.FinalFragment"
        android:label="fragment_final"
        tools:layout="@layout/fragment_final" >
        <argument
            android:name="message"
            app:argType="string" />
    </fragment>
</navigation>